Update a user-level variable which is created by current doer
PUT
/user/actions/variables/{variablename}
const url = 'https://gitea.com/api/v1/user/actions/variables/example';const options = { method: 'PUT', headers: {Authorization: 'Basic <credentials>', 'Content-Type': 'application/json'}, body: '{"description":"example","name":"example","value":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://gitea.com/api/v1/user/actions/variables/example \ --header 'Authorization: Basic <credentials>' \ --header 'Content-Type: application/json' \ --data '{ "description": "example", "name": "example", "value": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”variablename
required
string
Name of the variable
Request Body
Section titled “Request Body”Media typeapplication/json
UpdateVariableOption the option when updating variable
object
description
Description of the variable to update
string
name
New name for the variable. If the field is empty, the variable name won’t be updated.
string
value
required
Value of the variable to update
string
Examplegenerated
{ "description": "example", "name": "example", "value": "example"}Responses
Section titled “Responses”Response when updating a variable
Media typeapplication/json
Response when updating a variable
Media typeapplication/json
APIError is error format response
Media typeapplication/json
Headers
Section titled “Headers”message
string
url
string
APINotFound is a not found empty response
Media typeapplication/json